Skip to main content
GET
/
space
/
{spaceId}
/
reward
/
{rewardId}
cURL
curl --request GET \
  --url https://app.teable.ai/api/space/%7BspaceId%7D/reward/%7BrewardId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "id": "<string>",
  "spaceId": "<string>",
  "userId": "<string>",
  "sourceType": "appSumoActivation",
  "sourceMetaData": {
    "platform": "x",
    "postUrl": "<string>",
    "postId": "<string>",
    "snapshotId": "<string>",
    "content": "<string>",
    "username": "<string>",
    "followerCount": 123,
    "verifyResult": {
      "isValid": true,
      "errors": [
        {
          "message": "<string>",
          "localization": {
            "i18nKey": "<string>",
            "context": {}
          }
        }
      ]
    }
  },
  "rewardStatus": "pending",
  "rewardAmount": 123,
  "createdTime": "<string>",
  "consumedAmount": 123,
  "rewardTime": "<string>",
  "expiredTime": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

spaceId
string
required
rewardId
string
required

Response

200 - application/json

Reward details retrieved successfully

id
string
required
spaceId
string
required
userId
string
required
sourceType
enum<string>
required
Available options:
appSumoActivation,
socialShare,
system
sourceMetaData
object
required
rewardStatus
enum<string>
required
Available options:
pending,
approved,
rejected
rewardAmount
number
required
createdTime
string
required
consumedAmount
number | null
rewardTime
string | null
expiredTime
string | null
Last modified on March 5, 2026